Enhancing STC

Change-Id: Ibb8a001f5c6550860c4ade97378af7e97876a0ab
diff --git a/tools/test/bin/onos-untar-and-run b/tools/test/bin/onos-untar-and-run
new file mode 100755
index 0000000..74ce559
--- /dev/null
+++ b/tools/test/bin/onos-untar-and-run
@@ -0,0 +1,22 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Untars ONOS tar.gz on the remote machine and runs ONOS.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+node=${1:-$OCI}
+remote=$ONOS_USER@$node
+
+ssh $remote "
+    [ -d $ONOS_INSTALL_DIR/bin ] && echo \"ONOS is already installed\" && exit 1
+    cd /tmp && rm -fr /tmp/$ONOS_BITS
+    tar zxf /tmp/$ONOS_BITS.tar.gz
+
+    cd /tmp/$ONOS_BITS
+    bin/onos-service server 1>/tmp/onos.out 2>/tmp/onos.err &
+
+    # Setup a symlink to allow other tools to work
+    sudo ln -s /tmp/$ONOS_BITS $ONOS_INSTALL_DIR
+"